Subject: Re: linux-next: manual merge of the vfs-brauner tree with the djw-vfs tree

From: Christian Brauner <[email-masked]>
Date: Tue, 22 Aug 2023 11:46:38 +0200

> Christian: I've been planning to merge the {freeze,thaw}_super @who
> changes for 6.6; do you think more 'cooperating with the maintainer' is
> needed, or shall I simply push my branch to Linus with a note that
> s/down_write/super_lock_excl/ s/up_write/super_unlock_excl is needed to
> resolve the merge the conflict?

Hm, that's not a pleasant merge conflict given that it's locking
changes. It would probably be fine to just bring it up the way it is but
it looks needlessly messy/uncoordinated. I'm wonder why this isn't just
all in vfs.super since it's core vfs infra change anyway. Maybe I just
missed the patches if so then sorry about that.

That's the two infrastructure patches in the kernel-fsfreeze
branch/kernel-fsfreeze_2023-07-27 tag?:

ad0164493b81 ("fs: distinguish between user initiated freeze and kernel initiated freeze")
53f65fd7a3d5 ("fs: wait for partially frozen filesystemskernel-fsfreeze_2023-07-27kernel-fsfreeze")

If you give me a tag with your description and just the two commits or I
just cherry pick them and cite your description in my pr that would be
my preferred solution. How do you feel about that?